Skip to content
GET/{organizationId}/{mandateId}/crm/contacts/{contactId}/documents/{documentId}

Get document

Returns a specific document of a contact with all of its details

Required permissions:

  • mandate.read

  • contactDocument.read

Permissions depending on contact type:

  • contact:member

  • contact:address

  • contact:customer

  • contact:sponsor

  • contact:contributor

  • contact:employee

  • contact:supplier

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
contactIdstringrequired
documentIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/crm/contacts/{contactId}/documents/{documentId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contacts/{contactId}/documents/{documentId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

Additional properties are not allowed.

namestringrequired

maxLength: 100

descriptionstringrequired

maxLength: 400

shareToContactbooleanrequired
createdAtdate-time | nulloptional

Response

200
{
  "_id": "000000000000000000000001",
  "mandates": [
    "000000000000000000000001"
  ],
  "file": {
    "resource": "string"
  },
  "name": "string",
  "description": "string",
  "shareToContact": true
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}